{add_js file='modules/mod_specmod/js/jquery.cookie.min.js'}
{add_css file='modules/mod_specmod/css/spec_style.css'}

<div id="special_mod">
    <span class="spec_h_label">Версия для слабовидящих</span>
    <div class="spec_buttons">

        <div class="spec_size_block">
            <div class="spec_label">Размер шрифта: </div>
            <div>
                <a href="#" data-class="spec-size-small" class="s_small" title="Мелкий шрифт">A</a>
                <a href="#" data-class="spec-size-medium" class="s_medium" title="Средний шрифт">A</a>
                <a href="#" data-class="spec-size-large" class="s_large" title="Большой шрифт">A</a>
            </div>
        </div>

        <div class="spec_font_block">
            <div class="spec_label">Цветовая схема: </div>
            <div>
                <a href="#" data-class="spec-font-normal" class="f_normal" title="Черное на белом">A</a>
                <a href="#" data-class="spec-font-invert" class="f_invert" title="Белое на черном">A</a>
                <a href="#" data-class="spec-font-blue" class="f_blue" title="Мелкий шрифт">A</a>
            </div>
        </div>

        <div class="spec_image_block">
            <div class="spec_label">Изображения: </div>
            <div>
                <a href="#" class="i_on" title="Включить картинки">Вкл</a>
                <a href="#" class="i_off" title="Отключить картинки">Выкл</a>
            </div>
        </div>


    </div>
</div>

<script type="text/javascript">
    $(document).ready(function() {

        function toogleSpecImg(flag) {
            // ставим черно-белое лого
            var logo_img = $(".logomodule img");
            if(flag == 1) {
                logo_img.hide();
                if($(".spec_logo_img").length == 0) {
                    logo_img.parent().html(logo_img.parent().html() + "<img class=\"spec_logo_img\" src=\"/modules/mod_specmod/images/logo_spec.png\">");
                } else {
                    $(".spec_logo_img").show();
                }
            } else {
                logo_img.show();
                $(".spec_logo_img").hide();
            }
        }

        if($.cookie('spec_size_class') != null) {
            $("#special_mod .spec_buttons").show();
            $("#special_mod .spec_h_label").text('Обычная версия');

            toogleSpecImg(1);

            $("body").addClass(''+$.cookie('spec_size_class')+' '+$.cookie('spec_font_class')+' '+$.cookie('spec_image')+'');

            if($.cookie('spec_image') == "image-on") {
                $("#special_mod .spec_image_block a.i_on").css("display", "block");
                $("#special_mod .spec_image_block a.i_off").css("display", "none");
            } else {
                $("#special_mod .spec_image_block a.i_on").css("display", "none");
                $("#special_mod .spec_image_block a.i_off").css("display", "block");
            }
        }

        $("#special_mod .spec_h_label").click(function(){
            if($("#special_mod .spec_buttons").is(":hidden")) {
                $(this).text("Обычная версия");

                toogleSpecImg(1);

                $.cookie('spec_size_class', 'spec-size-medium');
                $.cookie('spec_font_class', 'spec-font-normal');
                $.cookie('spec_image', 'image-on');

                $("body").addClass("spec-size-medium spec-font-normal image-on");

                $("#special_mod .spec_buttons").show();
            } else {
                $(this).text("Версия для слабовидящих");

                toogleSpecImg(0);

                $.removeCookie('spec_size_class', { path:'/'});
                $.removeCookie('spec_font_class', { path:'/'});
                $.removeCookie('spec_image', { path:'/'});

                $("body").removeAttr("class");

                $("#special_mod .spec_buttons").hide();
            }
        });

        var size_class_arr = [];
        var font_class_arr = [];

        var spec_size_block_item = $("#special_mod .spec_size_block a");
        var spec_font_block_item = $("#special_mod .spec_font_block a");

        //--
        spec_size_block_item.each(function () {
            size_class_arr.push($(this).attr("data-class"));
        });

        spec_font_block_item.each(function () {
            font_class_arr.push($(this).attr("data-class"));
        });
        //--

        spec_size_block_item.click(function () {
            $.each(size_class_arr, function (index, value) {
                $("body").removeClass(value);
            });
            $("body").addClass($(this).attr("data-class"));
            $.cookie('spec_size_class', $(this).attr("data-class"));
        });

        spec_font_block_item.click(function () {
            $.each(font_class_arr, function (index, value) {
                $("body").removeClass(value);
            });
            $("body").addClass($(this).attr("data-class"));
            $.cookie('spec_font_class', $(this).attr("data-class"));
        });

        $("#special_mod .spec_image_block a").click(function () {
            if ($("body").hasClass("image-on") || !$("body").hasClass("image-on") && !$("body").hasClass("image-off")) {
                $("body").addClass("image-off");
                $("body").removeClass("image-on");
                $("#special_mod .spec_image_block a.i_on").css("display", "none");
                $("#special_mod .spec_image_block a.i_off").css("display", "block");
                $.cookie('spec_image', 'image-off');
            } else {
                $("body").addClass("image-on");
                $("body").removeClass("image-off");
                $("#special_mod .spec_image_block a.i_on").css("display", "block");
                $("#special_mod .spec_image_block a.i_off").css("display", "none");
                $.cookie('spec_image', 'image-on');
            }

        });


    });
</script>